Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt
Interface Selectable

All Known Implementing Classes:
  TextNode

public interface Selectable

Interface describing object that can be selected or have selections made on it.

Method Summary
`java.awt.Shape` | `getHighlightShape()` Return a shape in user coords which encloses the current selection.
`java.lang.Object` | `getSelection()` Get the current text selection.
`boolean` | `selectAll(double x, double y)` Selects the entire contents of the GraphicsNode at (x, y).
`boolean` | `selectAt(double x, double y)` Initializes the current selection to begin with the character at (x, y).
`boolean` | `selectTo(double x, double y)` Extends the current selection to the character at (x, y)..

Method Detail

### selectAt

    public boolean selectAt(double x,
                            double y)

  Initializes the current selection to begin with the character at (x, y).

  Returns:
    true if action resulted in change of selection.

### selectTo

    public boolean selectTo(double x,
                            double y)

  Extends the current selection to the character at (x, y)..

  Returns:
    true if action resulted in change of selection.

### selectAll

    public boolean selectAll(double x,
                             double y)

  Selects the entire contents of the GraphicsNode at (x, y).

  Returns:
    true if action resulted in change of selection.

### getSelection

    public java.lang.Object getSelection()

  Get the current text selection.

  Returns:
    an object containing the selected content.

### getHighlightShape

    public java.awt.Shape getHighlightShape()

  Return a shape in user coords which encloses the current selection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.